Subject: New canonical gitk url

From: Felipe Contreras <[email-masked]>
Date: Sun, 07 May 2023 15:35:05 -0600

Hello,

Philip Oakley wrote:
> On 27/03/2023 10:17, Johannes Schindelin wrote:
> > Hi Pau & Junio,
> >
> > this patch series saw a positive review from Junio (thank you! I know that
> > you try to stay away from Tcl code, so I appreciate the effort very much),
> > but apart from that it simply languished on the mailing list for more than
> > two months now.
> >
> > Paul, is there anything I can do to help you integrate this into `gitk`?
> > Or is it time to pass over `gitk` maintenance to the Git project?
> 
> I just tripped over this problem while trying to de-stack my Git backlog
> https://github.com/git-for-windows/git/issues/4408 "sdk gitk interaction".
> 
> > On Tue, 24 Jan 2023, Johannes Schindelin via GitGitGadget wrote:
> >
> >> These patches have been cooking for such a long time in Git for Windows that
> >> you might think they turned into broth. Yummy broth, to be sure. But broth.
> >> 'Tis beyond time for the patches to make it upstream.
> 
> If there was a way to un-stick this [1] it would be great.

One of the main selling points of git is that it was a *distributed* version
control system, which means there wasn't any centralized repository.

We are not forced to use Paul Mackerras' repository, so I created a fork that
includes the outstanding patches [1]. Junio can simply pull from there from now
on.

I don't want to maintain this, but as I've often found out is the case in open
source: if I don't do it, nobody else will.

If anyone else wants to step up and maintain gitk, that would be great.

Cheers.

[1] https://github.com/felipec/gitk

-- 
Felipe Contreras